Subject: [bug#38376] [PATCH] gnu: clang: Fix search path detection with --sysroot.

From: Carl Dong <[email-masked]>
Date: Tue, 26 Nov 2019 17:05:05 +0000

Hi Mathieu!

I think that’s an excellent idea but unfortunately I don’t have the bandwidth for it currently… I’ll put it on my TODO list though :-)
Please do let me know if there’s anything amiss in the patch as it stands right now!

Cheers,
Carl Dong

> On Nov 26, 2019, at 2:15 AM, Mathieu Othacehe <[email-masked]> wrote:
> 
> 
> 
> Hello Carl,
> 
>> This was fine when running clang normally, but when a user supplies
>> clang with --sysroot, clang _should_ do the search path detection. This
>> commit fixes runing clang with --sysroot.
> 
> Thanks for your patch. Do you think this could be done in a way that can
> be upstreamed? In lib/Driver/ToolChains/Gnu.cpp, there are some Gentoo
> specific stuff, maybe they would agree to integrate some Guix/nix specific
> stuff too.
> 
> WDYT?
> 
> Mathieu
> 
> 
>